%define upstream_name    Pod-Coverage-Moose
%define upstream_version 0.07

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    L<Pod::Coverage> extension for L<Moose>
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Pod/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Class::MOP)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.630.200
BuildRequires: perl(FindBin)
BuildRequires: perl(Moose) >= 0.240.0
BuildRequires: perl(MooseX::Role::WithOverloading)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(Perl6::Junction)
BuildRequires: perl(Pod::Coverage)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Pod)
BuildRequires: perl(Test::Pod::Coverage)
BuildRequires: perl(Test::Requires)
BuildRequires: perl(namespace::clean) >= 0.50.0
BuildArch:  noarch

%{?perl_default_filter}

%description
When using the Pod::Coverage manpage in combination with the Moose manpage,
it will report any method imported from a Role. This is especially bad when
used in combination with the Test::Pod::Coverage manpage, since it takes
away its ease of use.

To use this module in combination with the Test::Pod::Coverage manpage, use
something like this:

  use Test::Pod::Coverage;
  all_pod_coverage_ok({ coverage_class => 'Pod::Coverage::Moose'});

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.70.0-3.mga6
+ Revision: 1032265
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.70.0-2.mga6
+ Revision: 969641
- Mageia 6 Mass Rebuild

* Sun Sep 06 2015 sander85 <sander85> 0.70.0-1.mga6
+ Revision: 873579
- update to 0.07

* Sun Aug 23 2015 sander85 <sander85> 0.60.0-1.mga6
+ Revision: 868650
- update to 0.06

* Sat Oct 18 2014 umeabot <umeabot> 0.50.0-5.mga5
+ Revision: 788004
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.50.0-4.mga5
+ Revision: 740598
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.50.0-3.mga5
+ Revision: 733264
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.50.0-2.mga5
+ Revision: 685996
- Mageia 5 Mass Rebuild

* Sat Feb 08 2014 sander85 <sander85> 0.50.0-1.mga5
+ Revision: 586453
- update to 0.05

* Fri Oct 18 2013 umeabot <umeabot> 0.40.0-3.mga4
+ Revision: 514138
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.40.0-2.mga3
+ Revision: 371902
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 0.40.0-1.mga3
+ Revision: 255348
- update to 0.04

* Mon Mar 05 2012 jquelin <jquelin> 0.30.0-1.mga2
+ Revision: 218792
- update to 0.03

* Tue Jan 25 2011 jquelin <jquelin> 0.20.0-1.mga1
+ Revision: 38498
- mageia rebuild
- cleaning spec file
- imported package perl-Pod-Coverage-Moose

